import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/baseConfig` + url, ...arg)

export default {
	// 获取基础设置树
	baseConfigTree(data) {
		return request('/tree', data, 'get')
	},
	// 添加基础设置
	addBaseConfig(data) {
		return request('/add', data, 'post')
	},
	// 编辑基础设置
	editBaseConfig(data) {
		return request('/edit', data, 'post')
	},
	// 删除基础设置
	delBaseConfig(data) {
		return request('/delete', data, 'post')
	},
	// 获取基础设置详情
	baseConfigDetail(data) {
		return request('/listChild', data, 'get')
	},
}
